{
"error": true,
"message": "Couldn't fetch metadata from the URI defined on the template: <metadata url>. Ensure this URI is available and publicly accessible."
}
{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}
NFT Templates
Create Template
Create a token template, that NFTs or SFTs may be minted from
API scope required: nfts.create
POST
/
2022-06-09
/
collections
/
{collectionId}
/
templates
Create Template
curl --request POST \ --url https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data '{ "metadata": { "name": "My template", "image": "https://www.crossmint.com/assets/crossmint/logo.png", "description": "A new collection with its own dedicated smart contract", "symbol": "<string>" }, "onChain": { "tokenId": "1" }, "supply": { "limit": 10 }, "reuploadLinkedFiles": true}'
import requests
url = "https://staging.crossmint.com/api/2022-06-09/collections/{collectionId}/templates"
payload = {
"metadata": {
"name": "My template",
"image": "https://www.crossmint.com/assets/crossmint/logo.png",
"description": "A new collection with its own dedicated smart contract",
"symbol": "<string>"
},
"onChain": { "tokenId": "1" },
"supply": { "limit": 10 },
"reuploadLinkedFiles": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"error": true,
"message": "Couldn't fetch metadata from the URI defined on the template: <metadata url>. Ensure this URI is available and publicly accessible."
}
{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}
Authorizations
X-API-KEY
string
header
required
Obtained in the Crossmint developer console
Path Parameters
collectionId
string
required
The ID of the named collection, used to create new tokens
Any URLs in the metadata object will be resolved and reuploaded to IPFS [Default: true]
Response
Success
templateId
string<uuid>
Example:
"20ed0963-0185-49af-b4a0-2de3169bb367"
metadata
object
Show child attributes
onChain
EVM · object
EVM
Solana
Show child attributes
supply
object
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Crossmint Docs","colors":{"primary":"#36b37e","light":"#87ff8f","dark":"#001d01"},"logo":{"light":"https://mintcdn.com/crossmint/a8gPOTKEuVFcSfC3/logo/crossmint-light.png?fit=max\u0026auto=format\u0026n=a8gPOTKEuVFcSfC3\u0026q=85\u0026s=8c2671e4c8f7da6956e1508bd68c2928","dark":"https://mintcdn.com/crossmint/a8gPOTKEuVFcSfC3/logo/crossmint-dark.png?fit=max\u0026auto=format\u0026n=a8gPOTKEuVFcSfC3\u0026q=85\u0026s=272ecc17664d17b9ff24471758ff80b2"},"favicon":"https://mintcdn.com/crossmint/xq66q9GV6z6jjj95/favicon.png?fit=max\u0026auto=format\u0026n=xq66q9GV6z6jjj95\u0026q=85\u0026s=00fb89ddf6ba5b1022b9307039c08006","api":{"openapi":["api-reference/_open-api/MintingAPIs.json","api-reference/_open-api/AdminAPIs.json","api-reference/_open-api/VerifiableCredentialsAPIs.json","api-reference/_open-api/Wallets.json"],"examples":{"prefill":true}},"background":{"color":{"dark":"#090b0c"}},"navbar":{"links":[{"href":"https://www.crossmint.com/contact","label":"Support"},{"href":"https://staging.crossmint.com/console","label":"Staging Console"}],"primary":{"type":"button","label":"Console","href":"https://www.crossmint.com/console"}},"footer":{"socials":{"website":"https://www.crossmint.com","twitter":"https://x.com/crossmint","github":"https://github.com/crossmint"}},"integrations":{"ga4":{"measurementId":"G-CP5EDD6GVT"},"posthog":{"apiKey":"phc_tfgodwfjuO9v3Nw0tIWJNzACoi2opL7X2Ly0Mg2UCTz","apiHost":"https://eu.i.posthog.com","sessionRecording":false}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"crossmint","hasAudioNarration":false,"actualSubdomain":"crossmint","customDomains":["docs.crossmint.com"],"gitSource":{"type":"github","owner":"paella-labs","repo":"crossbit-main","deployBranch":"main","contentDirectory":"apps/crossmint-mintlify-docs/src","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":true,"contextualFeedback":{"allowEmail":true},"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af7a14baa6af38816478ab0","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1094},{"language":"default","tag":"Wallets","count":870},{"language":"default","tag":"Kotlin SDK","count":427},{"language":"default","tag":"Swift SDK","count":237},{"language":"default","tag":"Checkout","count":197},{"language":"default","tag":"Classes","count":182},{"language":"default","tag":"Data Classes","count":182},{"language":"default","tag":"Typescript SDK","count":156},{"language":"default","tag":"Guides","count":134},{"language":"default","tag":"Structs","count":127}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":false,"deflection":{"enabled":true,"type":"link","url":"https://www.crossmint.com/contact/sales"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".tab-container [data-component-part=\"tabs-list\"]{flex-wrap:wrap;overflow:visible;row-gap:0.25rem}.tab-container [data-component-part=\"tabs-list\"]>li{white-space:nowrap}.nav-dropdown-item,.nav-dropdown-item *{font-weight:500!important;color:rgb(75, 85, 99)!important}.nav-dropdown-item:hover,.nav-dropdown-item:hover *{color:rgb(31, 41, 55)!important}.dark .nav-dropdown-item,.dark .nav-dropdown-item *{color:rgb(156, 163, 175)!important}.dark .nav-dropdown-item:hover,.dark .nav-dropdown-item:hover *{color:rgb(209, 213, 219)!important}"}],"page":{"pagePath":"api-reference/minting/template/create-template","slug":"/api-reference/minting/template/create-template","pageMetadata":{"openapi":"api-reference/_open-api/MintingAPIs.json POST /2022-06-09/collections/{collectionId}/templates","title":"Create Template","description":"Create a token template, that NFTs or SFTs may be minted from\n\n**API scope required**: `nfts.create`\n","href":"/api-reference/minting/template/create-template"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Create a token template, that NFTs or SFTs may be minted from\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"API scope required\"\n }), \": \", _jsx(_components.code, {\n children: \"nfts.create\"\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"api-reference/_open-api/MintingAPIs.json POST /2022-06-09/collections/{collectionId}/templates","title":"Create Template","description":"Create a token template, that NFTs or SFTs may be minted from\n\n**API scope required**: `nfts.create`\n","href":"/api-reference/minting/template/create-template"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/crossmint/d1c432d03c0c4224/scripts/dd.js","/_mintlify/custom/crossmint/7fc8d54052d3edb0/scripts/hubspot.js"],"openApiReferenceData":{"operation":{"summary":"Create Template","description":"Create a token template, that NFTs or SFTs may be minted from\n\n**API scope required**: `nfts.create`\n","operationId":"create-template","tags":["NFT Templates"],"parameters":["967f80be-28c4-4e7c-bf66-1182daca5403"],"requestBody":"2cab1350-35ef-4fe3-9005-42694dd305ed","responses":{"200":"c9239d59-3ede-43d0-8934-d785a6a86d5d","400":"b77de4de-99ea-443c-95c8-803370d9e979","404":"4ebad1d1-9efe-4040-82ba-d387fc16ea06","409":"0d623cb0-7592-45ed-8981-0996a6b4164e","424":"052e985d-7125-40ad-8a4f-cfbe5d03b785","503":"cbe52219-378e-42c7-856b-519a47c8bf6c"},"method":"post","type":"path","servers":["1b9e1f5a-b411-48ac-a880-6e3a39e41013","57e1d2be-6a1a-40b4-82f2-19f495a012d0"],"security":["f22bdcc8-d607-4a13-ae00-f62ee6d9357c"],"path":"/2022-06-09/collections/{collectionId}/templates","baseUrlOptions":["https://staging.crossmint.com/api","https://www.crossmint.com/api"],"title":"Create Template","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.metadata.name":"My template","body.metadata.image":"https://www.crossmint.com/assets/crossmint/logo.png","body.metadata.description":"A new collection with its own dedicated smart contract","body.metadata.symbol":"\u003cstring>","body.onChain.tokenId":"1","body.supply.limit":10,"body.reuploadLinkedFiles":true}]},"dependencies":{"parameters":{"967f80be-28c4-4e7c-bf66-1182daca5403":{"name":"collectionId","in":"path","description":"The ID of the named collection, used to create new tokens","required":true,"schema":{"type":"string","example":"idempotent-collection-name","isRequired":true,"description":"The ID of the named collection, used to create new tokens","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"metadata":{"description":"See https://docs.crossmint.com/docs/metadata for more info","type":"object","additionalProperties":false,"properties":{"name":{"type":"string","description":"Template name","default":"My template","uniqueKey":"metadata.name","typeLabel":"string"},"image":{"type":"string","default":"https://www.crossmint.com/assets/crossmint/logo.png","uniqueKey":"metadata.image","typeLabel":"string"},"description":{"type":"string","default":"A new collection with its own dedicated smart contract","maxLength":64,"uniqueKey":"metadata.description","typeLabel":"string"},"symbol":{"type":"string","description":"A shorthand identifier for the token (e.g., \"MTK\"). This is only applicable for SFT Templates on Solana.","maxLength":32,"uniqueKey":"metadata.symbol","typeLabel":"string"}},"uniqueKey":"metadata","typeLabel":"object"},"onChain":{"type":"object","additionalProperties":false,"description":"Onchain details","properties":{"tokenId":{"type":"string","description":"The token ID. Only relevant for SFT (ERC-1155) collections on an EVM chain. Leave empty for NFT/ERC-721 or Solana collections.","example":"1","uniqueKey":"onChain.tokenId","typeLabel":"string"}},"uniqueKey":"onChain","typeLabel":"object"},"supply":{"type":"object","additionalProperties":false,"description":"Supply details","properties":{"limit":{"type":"integer","description":"Supply limit, Set to 1 for ERC721.","example":10,"uniqueKey":"supply.limit","typeLabel":"integer"}},"uniqueKey":"supply","typeLabel":"object"},"reuploadLinkedFiles":{"type":"boolean","description":"Any URLs in the metadata object will be resolved and reuploaded to IPFS [Default: true]","uniqueKey":"reuploadLinkedFiles","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"metadata":{"name":"My template","image":"https://www.crossmint.com/assets/crossmint/logo.png","description":"A new collection with its own dedicated smart contract","symbol":"\u003cstring>"},"onChain":{"tokenId":"1"},"supply":{"limit":10},"reuploadLinkedFiles":true}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"c9239d59-3ede-43d0-8934-d785a6a86d5d":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"templateId":{"type":"string","format":"uuid","example":"20ed0963-0185-49af-b4a0-2de3169bb367","uniqueKey":"templateId","typeLabel":"string\u003cuuid>"},"metadata":{"type":"object","properties":{"name":{"type":"string","example":"My Token","uniqueKey":"metadata.name","typeLabel":"string"},"image":{"type":"string","example":"ipfs://QmaToZn4VEjF7q4CAudPaNka6AD484xuuEZSXmTLJPDLVE","uniqueKey":"metadata.image","typeLabel":"string"},"description":{"type":"string","example":"Sample Token Template","uniqueKey":"metadata.description","typeLabel":"string"},"symbol":{"type":"string","example":"A shorthand identifier for the token (Solana only)","uniqueKey":"metadata.symbol","typeLabel":"string"}},"uniqueKey":"metadata","typeLabel":"object"},"onChain":{"oneOf":[{"type":"object","title":"EVM","properties":{"tokenId":{"type":"integer","description":"TokenId for the token","example":1,"uniqueKey":"onChain.oneOf.0.tokenId","typeLabel":"integer"}},"uniqueKey":"onChain.oneOf.0","typeLabel":"EVM · object"},{"type":"object","title":"Solana","properties":{"mintHash":{"type":"string","description":"(SFTs Only) Mint hash for SFT if one has been minted already","uniqueKey":"onChain.oneOf.1.mintHash","typeLabel":"string"}},"uniqueKey":"onChain.oneOf.1","typeLabel":"Solana · object"}],"uniqueKey":"onChain","typeLabel":"EVM · object | Solana · object"},"supply":{"type":"object","properties":{"limit":{"type":"integer","example":1,"uniqueKey":"supply.limit","typeLabel":"integer"},"minted":{"type":"integer","example":0,"uniqueKey":"supply.minted","typeLabel":"integer"}},"uniqueKey":"supply","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"templateId":"20ed0963-0185-49af-b4a0-2de3169bb367","metadata":{"name":"My Token","image":"ipfs://QmaToZn4VEjF7q4CAudPaNka6AD484xuuEZSXmTLJPDLVE","description":"Sample Token Template","symbol":"A shorthand identifier for the token (Solana only)"},"onChain":{"tokenId":1},"supply":{"limit":1,"minted":0}}}},"exampleType":"generated"}},"exampleType":"generated"},"b77de4de-99ea-443c-95c8-803370d9e979":{"description":"Invalid arguments, please make sure you're following the api specification.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"boolean","example":true,"uniqueKey":"error","typeLabel":"boolean"},"message":{"type":"string","example":"Invalid arguments or empty parameter \u003cmissing parameter>.","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":true,"message":"Invalid arguments or empty parameter \u003cmissing parameter>."}}},"exampleType":"generated"}},"exampleType":"generated"},"4ebad1d1-9efe-4040-82ba-d387fc16ea06":{"description":"Not found error.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"boolean","example":true,"uniqueKey":"error","typeLabel":"boolean"},"message":{"type":"string","example":"Not found","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":true,"message":"Not found"}}},"exampleType":"generated"}},"exampleType":"generated"},"0d623cb0-7592-45ed-8981-0996a6b4164e":{"description":"Conflict","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"boolean","example":true,"uniqueKey":"error","typeLabel":"boolean"},"message":{"type":"string","example":"Already exists","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":true,"message":"Already exists"}}},"exampleType":"generated"}},"exampleType":"generated"},"052e985d-7125-40ad-8a4f-cfbe5d03b785":{"description":"Failed Dependency","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"boolean","example":true,"uniqueKey":"error","typeLabel":"boolean"},"message":{"type":"string","example":"Couldn't fetch metadata from the URI defined on the template: \u003cmetadata url>. Ensure this URI is available and publicly accessible.","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":true,"message":"Couldn't fetch metadata from the URI defined on the template: \u003cmetadata url>. Ensure this URI is available and publicly accessible."}}},"exampleType":"generated"}},"exampleType":"generated"},"cbe52219-378e-42c7-856b-519a47c8bf6c":{"description":"Service unavailable","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"boolean","example":true,"uniqueKey":"error","typeLabel":"boolean"},"message":{"type":"string","example":"Please try again in a few minutes. If the issue still persists, contact Crossmint support.","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":true,"message":"Please try again in a few minutes. If the issue still persists, contact Crossmint support."}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"f22bdcc8-d607-4a13-ae00-f62ee6d9357c":{"apiKey":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Obtained in the Crossmint developer console","scopes":[],"schemeName":"apiKey"}}},"servers":{"1b9e1f5a-b411-48ac-a880-6e3a39e41013":{"url":"https://staging.crossmint.com/api","description":"Staging environment (testnets)"},"57e1d2be-6a1a-40b4-82f2-19f495a012d0":{"url":"https://www.crossmint.com/api","description":"Production environment (mainnets)"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Obtained in the Crossmint developer console","scopes":[],"schemeName":"apiKey"},"schema":{"title":"X-API-KEY","type":"string","description":"Obtained in the Crossmint developer console","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"X-API-KEY"}],"title":"apiKey"}]},"originalFileLocation":"api-reference/_open-api/MintingAPIs.json"},"subdomain":"crossmint","siteName":"Crossmint Docs","title":"Create Template - Crossmint Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T11:35:38.697Z","originalFileLocation":"api-reference/minting/template/create-template.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a token template, that NFTs or SFTs may be minted from API scope required: nfts.create\">\u003cmeta data-mint-head name=\"application-name\" content=\"Crossmint Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Template - Crossmint Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a token template, that NFTs or SFTs may be minted from API scope required: nfts.create\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Crossmint Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.crossmint.com/api-reference/minting/template/create-template\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://crossmint.mintlify.site/_mintlify/api/og/v2?division=NFT+Templates\u0026amp;title=Create+Template\u0026amp;description=Create+a+token+template%2C+that+NFTs+or+SFTs+may+be+minted+from%0A%0A**API+scope+required**%3A+%60nfts.create%60%0A\u0026amp;theme=b8bba0b38c114479513683ad\u0026amp;signature=4ba2082f7eedecc599e921952a2d2d773f4ad2c25d269d11a37dca7e4f40f8d9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Template - Crossmint Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a token template, that NFTs or SFTs may be minted from API scope required: nfts.create\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://crossmint.mintlify.site/_mintlify/api/og/v2?division=NFT+Templates\u0026amp;title=Create+Template\u0026amp;description=Create+a+token+template%2C+that+NFTs+or+SFTs+may+be+minted+from%0A%0A**API+scope+required**%3A+%60nfts.create%60%0A\u0026amp;theme=b8bba0b38c114479513683ad\u0026amp;signature=4ba2082f7eedecc599e921952a2d2d773f4ad2c25d269d11a37dca7e4f40f8d9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/crossmint/-1hhMU0vchFPUD3H/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Crossmint Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#36b37e\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.crossmint.com/api-reference/minting/template/create-template\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/minting/template/create-template.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.crossmint.com/#organization\",\"name\":\"Crossmint Docs\",\"url\":\"https://docs.crossmint.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/crossmint/a8gPOTKEuVFcSfC3/logo/crossmint-light.png?fit=max\u0026auto=format\u0026n=a8gPOTKEuVFcSfC3\u0026q=85\u0026s=8c2671e4c8f7da6956e1508bd68c2928\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.crossmint.com#website\",\"name\":\"Crossmint Docs\",\"url\":\"https://docs.crossmint.com\",\"publisher\":{\"@id\":\"https://docs.crossmint.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.crossmint.com/api-reference/minting/template/create-template#webpage\",\"url\":\"https://docs.crossmint.com/api-reference/minting/template/create-template\",\"name\":\"Create Template\",\"description\":\"Create a token template, that NFTs or SFTs may be minted from API scope required: nfts.create\",\"dateModified\":\"2026-01-27T11:35:38.697Z\",\"isPartOf\":{\"@id\":\"https://docs.crossmint.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.crossmint.com/api-reference/minting/template/create-template#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.crossmint.com/api-reference/minting/template/create-template#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.crossmint.com/api-reference/minting/nfts/mint-nft\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"REST\",\"item\":\"https://docs.crossmint.com/api-reference/minting/nfts/mint-nft\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Tokens (NFTs, SFTs)\",\"item\":\"https://docs.crossmint.com/api-reference/minting/nfts/mint-nft\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Create Template\",\"item\":\"https://docs.crossmint.com/api-reference/minting/template/create-template\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.crossmint.com/api-reference/minting/template/create-template#apireference\",\"headline\":\"Create Template\",\"name\":\"Create Template\",\"description\":\"Create a token template, that NFTs or SFTs may be minted from API scope required: nfts.create\",\"url\":\"https://docs.crossmint.com/api-reference/minting/template/create-template\",\"mainEntityOfPage\":{\"@id\":\"https://docs.crossmint.com/api-reference/minting/template/create-template#webpage\"},\"dateModified\":\"2026-01-27T11:35:38.697Z\",\"publisher\":{\"@id\":\"https://docs.crossmint.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.crossmint.com#website\"}}]}\u003c/script>","agentPointerHref":"/api-reference/minting/template/create-template.md","siteName":"Crossmint Docs","nav":{"global":null,"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":"/introduction/platform-overview"}]},{"tab":"Wallets","pages":[{"title":"Wallets","href":"/wallets/overview"}]},{"tab":"Identity","pages":[{"title":"Identity","href":"/identity/overview"}]},{"tab":"Stablecoin Orchestration","pages":[{"title":"Stablecoin Orchestration","href":"/stablecoin-orchestration/overview"}]},{"tab":"Checkout","pages":[{"title":"Checkout","href":"/payments/introduction"}]},{"tab":"Onramp","pages":[{"title":"Onramp","href":"/onramp/overview"}]},{"tab":"Offramp","pages":[{"title":"Offramp","href":"/offramp/overview"}]},{"tab":"Agents","pages":[{"title":"Agents","href":"/agents/overview"}]},{"tab":"Others","menu":[{"item":"Tokenization","groups":[{"group":"Introduction","pages":[{"title":"Overview","href":"/tokenization/introduction"}]},{"group":"Tokens (NFTs, SFTs)","pages":[{"group":"Quickstarts ⚡","pages":[{"title":"Non-Fungible Tokens (NFTs)","href":"/tokenization/quickstarts/nfts"},{"title":"Semi-Fungible Tokens (SFTs)","href":"/tokenization/quickstarts/sfts"}]},{"group":"Integrate","pages":[{"title":"Create Collections","href":"/tokenization/nfts/integrate/create-collections"},{"title":"Define Metadata","href":"/tokenization/nfts/integrate/define-metadata"},{"title":"Mint Tokens","href":"/tokenization/nfts/integrate/mint-tokens"},{"title":"Configure Admin Functions","href":"/tokenization/nfts/integrate/configure-admin-functions"},{"title":"Mint In Bulk","href":"/tokenization/nfts/integrate/mint-in-bulk"},{"title":"Update NFTs","href":"/tokenization/nfts/integrate/update-nfts"},{"title":"Manage Delivery","href":"/tokenization/nfts/integrate/manage-delivery"},{"title":"List for Sale","href":"/tokenization/nfts/integrate/list-for-sale"},{"title":"Bring Your Own Contract","href":"/tokenization/nfts/integrate/bring-your-own-contract"},{"title":"Webhooks and Status APIs","sidebarTitle":"Webhooks \u0026 Status APIs","href":"/tokenization/nfts/integrate/webhooks-and-status-apis"},{"title":"Pricing","href":"/tokenization/nfts/integrate/pricing"}]}]},{"group":"Verifiable Credentials (VCs)","pages":[{"title":"Quickstart ⚡","href":"/tokenization/quickstarts/credentials"},{"group":"Guides","pages":[{"title":"Create Credential Types","href":"/tokenization/verifiable-credentials/integrate/create-credential-types"},{"title":"Create Credential Templates","href":"/tokenization/verifiable-credentials/integrate/create-credential-templates"},{"title":"Issue Credentials","href":"/tokenization/verifiable-credentials/integrate/issue-credentials"},{"title":"Retrieve Credentials","href":"/tokenization/verifiable-credentials/integrate/retrieve-credentials"},{"title":"Decrypt Credentials","href":"/tokenization/verifiable-credentials/integrate/decrypt-credentials"},{"title":"Verify Credentials","href":"/tokenization/verifiable-credentials/integrate/verify-credentials"},{"title":"Revoke Credentials","href":"/tokenization/verifiable-credentials/integrate/revoke-credentials"},{"title":"Credential Storage","href":"/tokenization/verifiable-credentials/integrate/store-credentials"},{"title":"Credential Encryption","href":"/tokenization/verifiable-credentials/integrate/encrypt-credentials"},{"title":"Delegated Signature","href":"/tokenization/verifiable-credentials/integrate/delegated-signatures"},{"title":"Webhook","href":"/tokenization/verifiable-credentials/integrate/webhooks"}]}]},{"group":"API Reference","pages":[{"group":"REST","icon":"brackets-curly","pages":[{"group":"Tokens (NFTs, SFTs)","pages":[{"group":"NFTs","pages":[{"openapi":"api-reference/_open-api/MintingAPIs.json POST /2022-06-09/collections/{collectionId}/nfts","title":"Mint NFT","href":"/api-reference/minting/nfts/mint-nft"},{"openapi":"api-reference/_open-api/MintingAPIs.json PUT /2022-06-09/collections/{collectionId}/nfts/{id}","title":"Mint NFT with ID","href":"/api-reference/minting/nfts/mint-nft-idempotent"},{"openapi":"api-reference/_open-api/MintingAPIs.json POST /2022-06-09/collections/{collectionId}/sfts","title":"Mint SFT","href":"/api-reference/minting/nfts/mint-sft"},{"openapi":"api-reference/_open-api/MintingAPIs.json GET /2022-06-09/collections/{collectionId}/nfts","title":"Get All NFTs","href":"/api-reference/minting/nfts/get-nfts"},{"openapi":"api-reference/_open-api/MintingAPIs.json GET /2022-06-09/collections/{collectionId}/nfts/{id}","title":"Mint Status","href":"/api-reference/minting/nfts/mint-status"},{"openapi":"api-reference/_open-api/MintingAPIs.json PATCH /2022-06-09/collections/{collectionId}/nfts/{id}","title":"Edit NFT","href":"/api-reference/minting/nfts/edit-nft"},{"openapi":"api-reference/_open-api/MintingAPIs.json DELETE /2022-06-09/collections/{collectionId}/nfts/{id}","title":"Burn NFT","href":"/api-reference/minting/nfts/burn-nft"},{"openapi":"api-reference/_open-api/Tokens.json DELETE /2022-06-09/nfts/{locator}","title":"Burn Token by locator","href":"/api-reference/minting/nfts/burn-nft-locator"}]},{"group":"NFT Collections","pages":[{"title":"Create Collection","openapi":"api-reference/_open-api/MintingAPIs.json POST /2022-06-09/collections/","href":"/api-reference/minting/collection/create-collection"},{"title":"Create Collection (Idempotent)","openapi":"api-reference/_open-api/MintingAPIs.json PUT /2022-06-09/collections/{collectionId}","href":"/api-reference/minting/collection/create-collection-idempotent"},{"title":"Get All Collections","openapi":"api-reference/_open-api/MintingAPIs.json GET /2022-06-09/collections/","href":"/api-reference/minting/collection/get-all-collections"},{"title":"Get Collection Info","openapi":"api-reference/_open-api/MintingAPIs.json GET /2022-06-09/collections/{collectionId}","href":"/api-reference/minting/collection/get-collection"},{"title":"Update Collection","openapi":"api-reference/_open-api/MintingAPIs.json PATCH /2022-06-09/collections/{collectionId}","href":"/api-reference/minting/collection/update-collection"},{"title":"Set Royalties","openapi":"api-reference/_open-api/MintingAPIs.json PUT /v1-alpha1/minting/collections/{collectionId}/royalties","href":"/api-reference/minting/collection/set-royalties"},{"title":"Get Royalties Configuration","openapi":"api-reference/_open-api/MintingAPIs.json GET /v1-alpha1/minting/collections/{collectionId}/royalties","href":"/api-reference/minting/collection/get-royalties-configuration"},{"title":"Remove Royalties","openapi":"api-reference/_open-api/MintingAPIs.json DELETE /v1-alpha1/minting/collections/{collectionId}/royalties","href":"/api-reference/minting/collection/remove-royalties"},{"title":"Set Base URI","openapi":"api-reference/_open-api/MintingAPIs.json PUT /v1-alpha1/minting/collections/{collectionId}/base-uri","href":"/api-reference/minting/collection/set-base-uri"},{"title":"Get Base URI","openapi":"api-reference/_open-api/MintingAPIs.json GET /v1-alpha1/minting/collections/{collectionId}/base-uri","href":"/api-reference/minting/collection/get-base-uri"},{"title":"Set Transferability","openapi":"api-reference/_open-api/MintingAPIs.json PUT /v1-alpha1/minting/collections/{collectionId}/transferable","href":"/api-reference/minting/collection/set-transferability"},{"title":"Get Transferability","openapi":"api-reference/_open-api/MintingAPIs.json GET /v1-alpha1/minting/collections/{collectionId}/transferable","description":"Get the transferable status of a collection. \n\nThis API is supported on EVM and Aptos chains. \n\nYou must contact sales to gain access to this API. \n\n**API scope required**: `collections.read`\n","href":"/api-reference/minting/collection/get-transferability"}]},{"group":"NFT Templates","pages":[{"openapi":"api-reference/_open-api/MintingAPIs.json POST /2022-06-09/collections/{collectionId}/templates","title":"Create Template","href":"/api-reference/minting/template/create-template"},{"openapi":"api-reference/_open-api/MintingAPIs.json PUT /2022-06-09/collections/{collectionId}/templates/{templateId}","title":"Create Template with ID","description":"Create a token template with preconfigured metadata\n\n**API scope required**: `nfts.create`\n","href":"/api-reference/minting/template/create-template-idempotent"},{"openapi":"api-reference/_open-api/MintingAPIs.json GET /2022-06-09/collections/{collectionId}/templates/{templateId}","title":"Get Template","href":"/api-reference/minting/template/get-template"},{"openapi":"api-reference/_open-api/MintingAPIs.json GET /2022-06-09/collections/{collectionId}/templates","title":"Get All Templates","href":"/api-reference/minting/template/get-all-templates"},{"openapi":"api-reference/_open-api/MintingAPIs.json PATCH /2022-06-09/collections/{collectionId}/templates/{templateId}","title":"Edit Template","href":"/api-reference/minting/template/edit-template"},{"openapi":"api-reference/_open-api/MintingAPIs.json DELETE /2022-06-09/collections/{collectionId}/templates/{templateId}","title":"Delete Template","href":"/api-reference/minting/template/delete-template"}]},{"group":"Action Status","pages":[{"openapi":"api-reference/_open-api/MintingAPIs.json GET /2022-06-09/actions/{actionId}","title":"Get Action Status","href":"/api-reference/common/get-action-status"}]}]},{"group":"Verifiable Credentials (VCs)","pages":[{"group":"Verifiable Credentials","pages":[{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json POST /v1-alpha1/credentials/templates/","title":"Create Credential template","href":"/api-reference/verifiable-credentials/templates/create-template"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json POST /v1-alpha1/credentials/templates/{templateId}/vcs","title":"Issue Credential","href":"/api-reference/verifiable-credentials/credentials/issue-credential"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json GET /v1-alpha1/credentials/{id}","title":"Get Credential by Credential ID","href":"/api-reference/verifiable-credentials/credentials/retrieve-credential-by-id"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json GET /v1-alpha1/credentials/templates/{collectionId}/nfts/{id}/credentials","title":"Get Credential by NFT ID","href":"/api-reference/verifiable-credentials/credentials/retrieve-credential-by-nft"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json GET /v1-alpha1/nfts/{nftLocator}/credentials","title":"Get Credential by NFT Locator","href":"/api-reference/verifiable-credentials/credentials/retrieve-credential-by-nft-locator"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json GET /v1-alpha1/wallets/{walletLocator}/credential_nfts","title":"Get Credential NFTs","href":"/api-reference/verifiable-credentials/credentials/retrieve-credential-nfts"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json POST /v1-alpha1/credentials/verification/verify","title":"Verify Credential","href":"/api-reference/verifiable-credentials/credentials/verify-credential"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json DELETE /v1-alpha1/credentials/{id}","title":"Revoke Credential","href":"/api-reference/verifiable-credentials/credentials/revoke-credential"}]},{"group":"Verifiable Credential Types","pages":[{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json POST /v1-alpha1/credentials/types","title":"Create Credential Type","href":"/api-reference/verifiable-credentials/types/create-type"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json PUT /v1-alpha1/credentials/types/{typeName}","title":"Create Credential Type with Name","href":"/api-reference/verifiable-credentials/types/create-named-type"},{"openapi":"api-reference/_open-api/VerifiableCredentialsAPIs.json GET /v1-alpha1/credentials/types/{typeName}","title":"Get a Credential Type","href":"/api-reference/verifiable-credentials/types/get-type"}]}]}]},{"group":"Typescript SDK","icon":"/images/icons/ts-logo-128.png","pages":[{"group":"Verifiable Credentials (VCs)","pages":[{"title":"Introduction","href":"/sdk-reference/credentials/introduction"},{"group":"Classes","pages":[{"title":"ContractMetadataService","href":"/sdk-reference/credentials/classes/ContractMetadataService"},{"title":"CredentialService","href":"/sdk-reference/credentials/classes/CredentialService"},{"title":"CrossmintDecrypt","href":"/sdk-reference/credentials/classes/CrossmintDecrypt"},{"title":"CrossmintMetamaskDecrypt","href":"/sdk-reference/credentials/classes/CrossmintMetamaskDecrypt"},{"title":"Lit","href":"/sdk-reference/credentials/classes/Lit"},{"title":"WalletAuthService","href":"/sdk-reference/credentials/classes/WalletAuthService"}]},{"group":"Interfaces","pages":[{"title":"Collection","href":"/sdk-reference/credentials/interfaces/Collection"},{"title":"CredentialFilter","href":"/sdk-reference/credentials/interfaces/CredentialFilter"},{"title":"CredentialMetadata","href":"/sdk-reference/credentials/interfaces/CredentialMetadata"},{"title":"CredentialsCollection","href":"/sdk-reference/credentials/interfaces/CredentialsCollection"},{"title":"EncryptedVerifiableCredential","href":"/sdk-reference/credentials/interfaces/EncryptedVerifiableCredential"},{"title":"VCNFT","href":"/sdk-reference/credentials/interfaces/VCNFT"},{"title":"VerifiableCredential","href":"/sdk-reference/credentials/interfaces/VerifiableCredential"},{"title":"VerifiableCredentialEncryption","href":"/sdk-reference/credentials/interfaces/VerifiableCredentialEncryption"}]},{"group":"Type Aliases","pages":[{"title":"ChainRPCConfig","href":"/sdk-reference/credentials/type-aliases/ChainRPCConfig"},{"title":"VCChain","href":"/sdk-reference/credentials/type-aliases/VCChain"},{"title":"VerifiableCredentialType","href":"/sdk-reference/credentials/type-aliases/VerifiableCredentialType"}]},{"group":"Variables","pages":[{"title":"VCChain","href":"/sdk-reference/credentials/variables/VCChain"},{"title":"crossmintAPI","href":"/sdk-reference/credentials/variables/crossmintAPI"},{"title":"crossmintRetrievalProcedure","href":"/sdk-reference/credentials/variables/crossmintRetrievalProcedure"},{"title":"ipfsRetrievalProcedure","href":"/sdk-reference/credentials/variables/ipfsRetrievalProcedure"}]},{"group":"Functions","pages":[{"title":"getCredentialNFTFromLocator","href":"/sdk-reference/credentials/functions/getCredentialNFTFromLocator"},{"title":"getCredentialNfts","href":"/sdk-reference/credentials/functions/getCredentialNfts"},{"title":"isCredentialType","href":"/sdk-reference/credentials/functions/isCredentialType"},{"title":"isEncryptedVerifiableCredential","href":"/sdk-reference/credentials/functions/isEncryptedVerifiableCredential"},{"title":"isVcChain","href":"/sdk-reference/credentials/functions/isVcChain"},{"title":"isVerifiableCredential","href":"/sdk-reference/credentials/functions/isVerifiableCredential"},{"title":"verifyCredential","href":"/sdk-reference/credentials/functions/verifyCredential"}]},{"group":"Enumerations","pages":[{"title":"VerifiableCredentialEncryptionType","href":"/sdk-reference/credentials/enumerations/VerifiableCredentialEncryptionType"}]}]}]}]}]}]}]},"basePath":"","title":"Create Template - Crossmint Docs","buildId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","deploymentId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-NXj-Rqjv.js","utils-m0thOP-_.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D13EKcfm.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema--XTdfsEb.js","snippetPresets-D3s4lmAH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-ChURybxL.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DL8CiXq2.js","shallow-DI2-YB2E.js","getApiPlaygroundDisplay-DxbW7b_y.js","CodeSnippet-CiNYS0pP.js","CodeSnippets-BT87bThu.js","Page-DSpdRuhM.js","getPastedJson-F_g_IrFQ.js","icon-CCIG5BAs.js","MethodPill-DY3E0jwx.js","DuplicateIcon-BN88xnEg.js","createIcon-VCCc5HO5.js","DynamicMarkdown-CaSwclgK.js","SectionHeading-DXV8nWhc.js","axios-vUo_bRtp.js","Markdown-CV32Re6G.js","clsx-5ydLOnhV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-pFDdfjRe.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BUGO5bPJ.js"]}